# Function createPostVaaInstruction

- createPostVaaInstruction(connection, wormholeProgramId, payer, vaa, signatureSet): TransactionInstruction

- Make TransactionInstruction for `post_vaa` instruction.

  This is used in createPostSignedVaaTransactions's last transaction. `signatureSet` is a @solana/web3.Keypair generated outside of this method, which was used to write signatures and the message hash to.

  https://github.com/certusone/wormhole/blob/main/solana/bridge/program/src/api/post_vaa.rs

  #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

    wormhole program address

  - ##### payer: PublicKeyInitData

    transaction signer address

  - ##### vaa: VAA<PayloadLiteral>

    either signed VAA bytes or parsed VAA (use parseVaa on signed VAA)

  - ##### signatureSet: PublicKeyInitData

    key for signature set account

  #### Returns TransactionInstruction

  - Defined in utils/instructions/postVaa.ts:37

Generated using TypeDoc